split(1)

NAME
split - Create output files containing consecutive or interleaved sections of input

SYNOPSIS
split [-b|--bytes] [-C|--line-bytes] [-l|--lines] [-n|--number] [--additional-suffix] [--filter] [-e|--elide-empty-files] [-d ] [--numeric-suffixes] [-x ] [--hex-suffixes] [-a|--suffix-length] [--verbose] [-t|--separator] [-h|--help] [-V|--version] [input] [prefix]

DESCRIPTION
Create output files containing consecutive or interleaved sections of input

OPTIONS

-b, --bytes <SIZE>
    put SIZE bytes per output file

-C, --line-bytes <SIZE>
    put at most SIZE bytes of lines per output file

-l, --lines <NUMBER> [default: 1000]
    put NUMBER lines/records per output file

-n, --number <CHUNKS>
    generate CHUNKS output files; see explanation below

--additional-suffix <SUFFIX> [default: ]
    additional SUFFIX to append to output file names

--filter <COMMAND>
    write to shell COMMAND; file name is $FILE (Currently not implemented for Windows)

-e, --elide-empty-files
    do not generate empty output files with '-n'

-d  use numeric suffixes starting at 0, not alphabetic

--numeric-suffixes[=<FROM>]
    same as -d, but allow setting the start value

-x  use hex suffixes starting at 0, not alphabetic

--hex-suffixes[=<FROM>]
    same as -x, but allow setting the start value

-a, --suffix-length <N>
    generate suffixes of length N (default 2)

--verbose
    print a diagnostic just before each output file is opened

-t, --separator <SEP>
    use SEP instead of newline as the record separator; '\\0' (zero) specifies the NUL character

-h, --help
    Print help

-V, --version
    Print version

[input] [default: -]

[prefix] [default: x]

EXTRA
Output fixed-size pieces of INPUT to PREFIXaa, PREFIXab, ...; default size is 1000, and default PREFIX is 'x'. With no INPUT, or when INPUT is -, read standard input. The SIZE argument is an integer and optional unit (example: 10K is 10*1024). Units are K,M,G,T,P,E,Z,Y,R,Q (powers of 1024) or KB,MB,... (powers of 1000). Binary prefixes can be used, too: KiB=K, MiB=M, and so on. CHUNKS may be: - N split into N files based on size of input - K/N output Kth of N to stdout - l/N split into N files without splitting lines/records - l/K/N output Kth of N to stdout without splitting lines/records - r/N like 'l' but use round robin distribution - r/K/N likewise but only output Kth of N to stdout

VERSION
v(uutils coreutils) 0.2.2